ServerEvents.recipes(event => {


	event.shaped('kubejs:half_frame_top', [
		'BAB', 
		'B B',
		'   '  
		],{
		A: 'kubejs:basic_machine_block',
		B: 'actuallyadditions:enori_crystal'
	})

	event.shaped('kubejs:half_frame_bottom', [
		'   ', 
		'B B',
		'BAB'  
		],{
		A: 'kubejs:industrial_machine_block',
		B: 'actuallyadditions:void_crystal'
	})

	event.remove({output: 'thermal:machine_crystallizer'})
	event.shaped('thermal:machine_crystallizer', [
		'AFA', 
		'CDC',
		'ABA'  
		],{
		A: 'minecraft:iron_ingot',
		B: 'powergrid:basin_heater',
		C: 'powergrid:copper_coil',
		D: 'kubejs:basic_engineering_block',
		F: 'tfmg:steel_fluid_tank'
	})

	event.remove({output: 'thermal:machine_chiller'})
	event.shaped('thermal:machine_chiller', [
		' C ', 
		'EDE',
		'ABA'  
		],{
		A: 'kubejs:quartz_timer_circuit',
		B: 'thermal:rf_coil',
		C: 'powergrid:copper_coil',
		D: 'thermal:machine_frame',
		E: 'create:iron_sheet'
	})

	event.remove({output: 'thermal:machine_frame'})
	event.custom({"type": "create:item_application",
		"ingredients":[
			{"item": "kubejs:half_frame_bottom"},
			{"item": "kubejs:half_frame_top"}],
		"results": [
			{"item": "thermal:machine_frame"}]
	})

	event.remove({output: '#forge:gears'})
	event.recipes.createCrushing('thermal:quartz_dust', 'minecraft:quartz')

	event.remove({output: 'ae2:sky_dust'})
	event.recipes.createCrushing([
		'ae2:sky_stone_block',
		Item.of('ae2:sky_dust').withChance(0.5)
	],	'ae2:sky_stone_block')

	event.recipes.createCrushing([
		'moyai:moyai',
		Item.of('minecraft:cobblestone').withChance(0.5),
		Item.of('minecraft:ghast_tear').withChance(0.01)
	],	'moyai:moyai')

	event.recipes.thermal.smelter('kubejs:fluorescent_tube', [ 
		'minecraft:glass',
		'minecraft:copper_ingot',
		'#forge:wires/copper'
	])

	event.recipes.thermal.smelter('kubejs:hot_steel', [ 
		'tfmg:steel_ingot'
	])

	event.remove({output: 'thermal:rf_coil'})
	event.shaped('thermal:rf_coil', [
		' A ', 
		'BCB',
		' A '  
		],{
		A: 'minecraft:gold_ingot',
		B: 'minecraft:redstone_dust',
		C: 'powergrid:resistive_coil'
	})

	event.remove({id: 'tconstruct:smeltery/seared/grout'})
	event.remove({id: 'tconstruct:common/flint'})
	event.recipes.createMixing(Fluid.of('tfmg:liquid_concrete', 500), [
		'minecraft:sand',
		'minecraft:sand',
		'minecraft:gravel',
		'minecraft:clay_ball'
	])

	event.custom({
        "type": "thermal:crystallizer",
        "ingredients": [
          {
            "fluid": "thermal:redstone",
            "amount": 1000
          },
		  {
            "item": "eidolon:soul_shard"
          },
          {
            "tag": "forge:dusts/quartz"
          }
        ],
        "result": [
          {
            "item": "eidolon:lesser_soul_gem"
          }
        ],
	    "energy": 500
    })

	event.remove({id: 'thermal:dirt_crafting'})
	event.recipes.create.deploying(['kubejs:soul_fuse'], ['kubejs:empty_fuse', 'eidolon:soulfire_wand'])

	event.recipes.createSequencedAssembly([
		Item.of('thermal:lead_dust').withChance(0.2),
		Item.of('create:pulp').withChance(0.8)
		], 'kubejs:wallpaper', [
			event.recipes.createFilling('kubejs:wallpaper', ['kubejs:wallpaper', Fluid.of('thermal:redstone', 10)])
	]).transitionalItem('kubejs:wallpaper').loops(1)

	event.shaped('kubejs:putty_knife', [
		'  A', 
		' B ',
		'   '  
	],{
		A: 'create:iron_sheet',
		B: 'minecraft:stick'
	})

	event.recipes.create.sequenced_assembly([
		Item.of('tfmg:steel_ingot').withChance(0.9),
		Item.of('kubejs:cracked_steel').withChance(0.1)
	], 'kubejs:hot_steel', [
		event.recipes.createFilling('kubejs:hot_steel', ['kubejs:hot_steel', Fluid.of('minecraft:water', 100)])
	]).transitionalItem('kubejs:hot_steel').loops(1)
	
})